Skip to content
No description, website, or topics provided.
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
.editorconfig
.gitignore
.whitesource
LICENSE
README.md
index.js
package-lock.json
package.json

README.md

PostCSS Dialog

Installation

npm install --save-dev postcss
npm install --save-dev @dlghq/postcss-dialog

Usage

postcss([
  require('@dlghq/postcss-dialog')({
    // options
  })
]);

Options

Name Plugin
import postcss-import
debug postcss-browser-reporter
report postcss-reporter
rtl rtlcss
dedupe postcss-discard-duplicates
modules postcss-modules
env postcss-preset-env
color postcss-color-mod-function
mixins postcss-mixins

Set value to false or null to disable plugin.

Default values

const defaultOptions = {
  import: {
    skipDuplicates: true,
  },
  mixins: true,
  env: {
    stage: 3,
    browsers: 'Chrome >= 45, ff >= 40, ie >= 10, Safari >= 8',
    autoprefixer: true,
    features: {
      'custom-media-queries': true,
      'custom-properties': {
        preserve: false,
      },
      'all-property': {
        reset: 'all',
      },
      'nesting-rules': true,
      'color-mod-function': true,
    },
  },
  modules: false,
  dedupe: true,
  rtl: false,
  report: true,
  debug: false,
};

License

Apache-2.0

You can’t perform that action at this time.